SDL_test_harness.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_test_common.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_test_harness.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDLTest_TestCaseReference
struct | SDLTest_TestSuiteReference

## Macros

#define | TEST_ENABLED 1
#define | TEST_DISABLED 0
#define | TEST_ABORTED -1
#define | TEST_STARTED 0
#define | TEST_COMPLETED 1
#define | TEST_SKIPPED 2
#define | TEST_RESULT_PASSED 0
#define | TEST_RESULT_FAILED 1
#define | TEST_RESULT_NO_ASSERT 2
#define | TEST_RESULT_SKIPPED 3
#define | TEST_RESULT_SETUP_FAILURE 4

## Typedefs

typedef void(* | SDLTest_TestCaseSetUpFp) (void **arg)
typedef int(* | SDLTest_TestCaseFp) (void *arg)
typedef void(* | SDLTest_TestCaseTearDownFp) (void *arg)
typedef struct SDLTest_TestSuiteRunner | SDLTest_TestSuiteRunner

## Functions

char * | SDLTest_GenerateRunSeed (char *buffer, int length)
SDLTest_TestSuiteRunner * | SDLTest_CreateTestSuiteRunner (SDLTest_CommonState *state, SDLTest_TestSuiteReference *testSuites[])
void | SDLTest_DestroyTestSuiteRunner (SDLTest_TestSuiteRunner *runner)
int | SDLTest_ExecuteTestSuiteRunner (SDLTest_TestSuiteRunner *runner)

## Macro Definition Documentation

## TEST_ABORTED

#define TEST_ABORTED -1

Definition at line 51 of file SDL_test_harness.h.

## TEST_COMPLETED

#define TEST_COMPLETED 1

Definition at line 53 of file SDL_test_harness.h.

## TEST_DISABLED

#define TEST_DISABLED 0

Definition at line 48 of file SDL_test_harness.h.

## TEST_ENABLED

#define TEST_ENABLED 1

Test suite related functions of SDL test framework.

This code is a part of the SDL test library, not the main SDL library.

Definition at line 47 of file SDL_test_harness.h.

## TEST_RESULT_FAILED

#define TEST_RESULT_FAILED 1

Definition at line 58 of file SDL_test_harness.h.

## TEST_RESULT_NO_ASSERT

#define TEST_RESULT_NO_ASSERT 2

Definition at line 59 of file SDL_test_harness.h.

## TEST_RESULT_PASSED

#define TEST_RESULT_PASSED 0

Definition at line 57 of file SDL_test_harness.h.

## TEST_RESULT_SETUP_FAILURE

#define TEST_RESULT_SETUP_FAILURE 4

Definition at line 61 of file SDL_test_harness.h.

## TEST_RESULT_SKIPPED

#define TEST_RESULT_SKIPPED 3

Definition at line 60 of file SDL_test_harness.h.

## TEST_SKIPPED

#define TEST_SKIPPED 2

Definition at line 54 of file SDL_test_harness.h.

## TEST_STARTED

#define TEST_STARTED 0

Definition at line 52 of file SDL_test_harness.h.

## Typedef Documentation

## SDLTest_TestCaseFp

typedef int(* SDLTest_TestCaseFp) (void *arg)

Definition at line 67 of file SDL_test_harness.h.

## SDLTest_TestCaseSetUpFp

typedef void(* SDLTest_TestCaseSetUpFp) (void **arg)

Definition at line 64 of file SDL_test_harness.h.

## SDLTest_TestCaseTearDownFp

typedef void(* SDLTest_TestCaseTearDownFp) (void *arg)

Definition at line 70 of file SDL_test_harness.h.

## SDLTest_TestSuiteRunner

typedef struct SDLTest_TestSuiteRunner SDLTest_TestSuiteRunner

Definition at line 115 of file SDL_test_harness.h.

## Function Documentation

## SDLTest_CreateTestSuiteRunner()

SDLTest_TestSuiteRunner * SDLTest_CreateTestSuiteRunner | ( | SDLTest_CommonState * | state,
|  | SDLTest_TestSuiteReference * | testSuites[]
| ) |  |

## SDLTest_DestroyTestSuiteRunner()

void SDLTest_DestroyTestSuiteRunner | ( | SDLTest_TestSuiteRunner * | runner | ) |

## SDLTest_ExecuteTestSuiteRunner()

int SDLTest_ExecuteTestSuiteRunner | ( | SDLTest_TestSuiteRunner * | runner | ) |

## SDLTest_GenerateRunSeed()

char * SDLTest_GenerateRunSeed | ( | char * | buffer,
|  | int | length
| ) |  |